/**
Theme Name: Cosion Child
Author: ThemeOri
Author URI: https://themeforest.net/user/themeori/
Description: Child theme for the Cosion theme.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: cosion-child
Template: cosion
*/

html.lenis,
html.lenis body {
    height: auto;
}

.lenis.lenis-smooth {
    scroll-behavior: auto !important;
}

.lenis.lenis-stopped {
    overflow: hidden;
}

.ths-floating-buttons{
    position:fixed;
    right:20px;
    bottom:90px;
    display:flex;
    flex-direction:column;
    gap:12px;
    z-index:99999;
}

.ths-floating-buttons a{
    width:50px;
    height:50px;
    border-radius:50%;
    display:flex;
    align-items:center;
    justify-content:center;
    color:#fff;
    text-decoration:none;
    font-size:26px;
    box-shadow:0 8px 20px rgba(0,0,0,.2);
    transition:.3s ease;
}

.ths-whatsapp{
    background:#25D366;
}

.ths-call{
    background:#0A84FF;
}

.ths-floating-buttons a:hover{
    transform:translateY(-4px) scale(1.08);
}

.ths-whatsapp{
    animation:ths-pulse 2s infinite;
}

@keyframes ths-pulse{
    0%{box-shadow:0 0 0 0 rgba(37,211,102,.6);}
    70%{box-shadow:0 0 0 15px rgba(37,211,102,0);}
    100%{box-shadow:0 0 0 0 rgba(37,211,102,0);}
}

@media (max-width:767px){
    .ths-floating-buttons{
        right:15px;
        bottom:15px;
    }

    .ths-floating-buttons a{
        width:52px;
        height:52px;
        font-size:22px;
    }
}

.ths-header{
    width:100%;
    z-index:9999;
    transition:all .3s ease;
}

.ths-header.is-sticky{
    position:fixed !important;
    top:0;
    left:0;
    width:100%;
    /*background:#fff;*/
    box-shadow:0 5px 20px rgba(0,0,0,.08);
}
